Bug 1322526 - Build properly on MIPS
Summary: Build properly on MIPS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 25
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-30 16:14 UTC by Michal Toman
Modified: 2016-08-08 15:21 UTC (History)
11 users (show)

Fixed In Version: python-2.7.12-2.fc25 python-2.7.12-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 15:21:41 UTC
Type: Bug


Attachments (Terms of Use)
Build-properly-on-MIPS.patch (2.47 KB, patch)
2016-03-30 16:14 UTC, Michal Toman
no flags Details | Diff
Build-properly-on-MIPS.patch (2.83 KB, patch)
2016-08-01 18:27 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-30 16:14:42 UTC
Created attachment 1141833 [details]
Build-properly-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires making Python specfile MIPS-aware. We have no working valgrind builds on MIPS at this moment and test_ctypes fails on 64-bit MIPS.

Actual results:
valgrind enabled on MIPS, mips64 uses %{_pyconfig32_h}

Expected results:
valgrind not required on MIPS, mips64 uses %{_pyconfig64_h}, test_ctypes skipped on 64-bit MIPS

Additional info:
Attaching dist-git patch. It would be great if this could also be applied to F24.

Comment 1 Charalampos Stratakis 2016-07-15 18:09:06 UTC
(In reply to Michal Toman from comment #0)
> Created attachment 1141833 [details]
> Build-properly-on-MIPS.patch
> 
> Description of problem:
> We are trying to bring Fedora to MIPS platform and this requires making
> Python specfile MIPS-aware. We have no working valgrind builds on MIPS at
> this moment and test_ctypes fails on 64-bit MIPS.
> 
> Actual results:
> valgrind enabled on MIPS, mips64 uses %{_pyconfig32_h}
> 
> Expected results:
> valgrind not required on MIPS, mips64 uses %{_pyconfig64_h}, test_ctypes
> skipped on 64-bit MIPS
> 
> Additional info:
> Attaching dist-git patch. It would be great if this could also be applied to
> F24.

Hello. The patch seems legit and it certainly wouldn't be a problem to apply it, however is there any way for us to test it?

Comment 2 Jan Kurik 2016-07-26 04:10:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Michal Toman 2016-07-27 11:38:01 UTC
I can provide SSH access to a 32-bit MIPS board for testing purposes if you wish. 64-bit is a little more tricky, I'm affraid QEMU is the only option right now.

Comment 4 Charalampos Stratakis 2016-07-29 10:44:18 UTC
I believe then the best course of action would be to provide you with a scratch build (if you haven't tried that yet of course), so you can test it. Same for python 3.

Ideally, this patch could go for rawhide and f25 but before 9th of August, which is the bodhi enabling point for f25.

Could you rebase the patch for the latest python and python3 (at it's respective bugzilla) version-release?

Comment 5 Michal Toman 2016-08-01 18:27:56 UTC
Created attachment 1186506 [details]
Build-properly-on-MIPS.patch

I've been using both python and python3 with the respective patches for several months and everything works fine.

Rebased the patch for current version.

Comment 6 Charalampos Stratakis 2016-08-08 15:21:41 UTC
Committed and built for rawhide and f25.


Note You need to log in before you can comment on or make changes to this bug.